<?php
declare( strict_types=1 );

namespace FiboFilters\Shortcodes;

/**
 * FiboFiltersInfiniteScrollTrigger class
 */
class FiboFiltersInfiniteScrollTrigger {

	/** @var string Shortcode tag. */
	private $tag = 'fibofilters_infinite_scroll_trigger';

	public function init(): void {
		add_shortcode( $this->tag, [ $this, 'render' ] );
	}

	/**
	 * Render a FiboFilters shortcode.
	 *
	 * @param mixed  $atts List of user attributes.
	 * @param string $content User content. We don't use it.
	 * @param string $tag Shortcode tag.
	 */
	public function render( $atts, string $content, string $tag ): string {
		return '<div class="fibofilters-infinite-scroll-trigger-container"></div>';
	}
}
